from AccessControl import ClassSecurityInfo
from Products.Archetypes.public import StringWidget
from Products.Archetypes.public import TextAreaWidget

class CountedStringWidget(StringWidget):
    security = ClassSecurityInfo()
    
    _properties = StringWidget._properties.copy()
    _properties.update({
        'macro' : "countedstringwidget",
        'helper_js': ('counter.js',),
        })
    
class CountedTextAreaWidget(TextAreaWidget):
    security = ClassSecurityInfo()
    
    _properties = TextAreaWidget._properties.copy()
    _properties.update({
        'macro' : "countedtextareawidget",
        'helper_js': ('counter.js',),
        })
    
from Products.Archetypes.Registry import registerWidget

registerWidget(CountedStringWidget,
               title='CountedStringWidget',
               description="Text field with a character count.",
               used_for=('Products.Archetypes.public.StringField',)
               )
registerWidget(CountedTextAreaWidget,
               title='CountedTextAreaWidget',
               description="Text field with a character count.",
               used_for=('Products.Archetypes.public.TextField',)
               )
